<script setup lang="ts">
import _ from 'lodash'
import { storeToRefs } from 'pinia'
import { useAccountStore } from '~~/store/account'
import { useZoomClientStore } from '~~/store/zoomClient'

// Sort account by Role
const account = useAccountStore()
const zoom = useZoomClientStore()
const { participantsList } = storeToRefs(zoom)
const {
  full,
} = storeToRefs(account)

const TABS = ['専攻区分', '学校区分', 'エリア別', '学校別']
const SOURCE_IMAGES = ['/images/chart1.png', '/images/chart2.png', '/images/chart3.png', '/images/chart4.png']
const openingTab = ref(0)
const openingTabChart = ref(0)
</script>

<template>
  <div class="relative h-full">
    <div v-if="full">
      <div
        :class="openingTab === 1 ? 'justify-between' : 'justify-end'"
        class="flex flex-row items-center p-2 text-lg whitespace-nowrap"
      >
        <div v-show="openingTab === 1" class="flex flex-row flex-wrap items-center">
          <p
            v-for="(tab, index) in TABS"
            :key="tab"
            class="mx-2 justify-start cursor-pointer"
            :class="tab === TABS[openingTabChart] ? 'underline' : ''"
            @click="openingTabChart = index"
          >
            {{ tab }}
          </p>
        </div>
        <div class="flex flex-row items-center">
          <p class="m-0">
            表示切替
          </p>
          <div
            :class="openingTab === 0 ? '' : 'text-[#22222252] dark:text-[#858585]'"
            class="mx-2 cursor-pointer i-ci:list-checklist"
            @click="openingTab = 0"
          />
          <div
            :class="openingTab === 1 ? '' : 'text-[#22222252] dark:text-[#858585]'"
            class="mx-2 cursor-pointer i-bxs:pie-chart-alt-2"
            @click="openingTab = 1"
          />
        </div>
      </div>
      <div v-if="openingTab === 1">
        <img
          v-for="(image, index) in SOURCE_IMAGES"
          v-show="openingTabChart === index"
          :key="image"
          :src="image"
          class="w-full"
        >
      </div>
    </div>
    <div v-else>
      <div class="w-full flex px-4 py-2 text-lg">
        <div class="ml-auto flex flex-row gap-2 items-center">
          <span>視聴</span>
          <div class="i-bi:person-fill inline-block" />
          <span> {{ _.size(participantsList) }} 人 </span>
        </div>
      </div>
    </div>
    <div class="absolute top-10 left-0 right-0 bottom-0 flex flex-row pointer-events-none">
      <!-- <MAvatarList v-if="openingTab === 0" class="w-13" /> -->
      <AParticipantPortal class="flex-1" :tab="openingTab === 0" />
    </div>
  </div>
</template>

<style scoped></style>
